WebHosting Paid by #1Payday.Loans


   The ROCK Linux project has been discontinued in 2010. Here are the old data for the historical record!

?mode=patch&uid=2006092913071523974
Open Patch: 2006092913071523974 (by stf)
+ stf
Votecheck 'core-relaxed': Missing 1 qualified vote(s) (clifford, daja77, fake, stefanp, teha)
package/x11/fontconfig/fontconfig.conf
package/x11/fontconfig/x11-30-fontconfig-postinstall.sh
Votecheck 'unmatched': Missing 1 qualified vote(s) (clifford, fake, teha)
package/xorg/xorg-server/xorg.cron
package/xorg/xorg-server/xorg-server.conf
package/xorg/mkfontdir/mkfontdir.conf
package/xorg/mkfontdir/x11-20-mkfontdir-postinstall.sh
package/xorg/mkfontscale/mkfontscale.conf
package/xorg/mkfontscale/x11-10-mkfontscale-postinstall.sh
Stefan Fiedler:
        replace xorg Cron job with postinstall scripts
        NOT TESTED yet

Stefan Fiedler:
        replace xorg Cron job with postinstall scripts
        NOT TESTED yet

--- package/xorg/xorg-server/xorg.cron  (Revision 15)
+++ package/xorg/xorg-server/xorg.cron  (Revision 16)
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-echo "Running mkfontscale / mkfontdir ..."
-for dir in /usr/X11R7/lib/X11/fonts/* ; do
-       [ -d $dir ] || continue
-       echo -n "$dir "
-       mkfontscale $dir
-       mkfontdir $dir
-done ; unset dir
-echo
-
-if [ "`which fc-cache`" ] ; then
-       echo "Running fc-cache ..."
-       fc-cache -v
-fi
-
--- package/xorg/xorg-server/xorg-server.conf   (Revision 15)
+++ package/xorg/xorg-server/xorg-server.conf   (Revision 16)
@@ -16,10 +16,6 @@
        echo "Installing the xdm start script (multiplexer) ..."
        cp $confdir/startxdm.sh $root/usr/X11R7/bin/startxdm
        chmod +x $root/usr/X11R7/bin/startxdm
-
-       echo "Installing X-Windows Cron Script ..."
-       cp -fv $confdir/xorg.cron $root/etc/cron.daily/80-xorg
-       chmod +x $root/etc/cron.daily/80-xorg
 }
 
 hook_add preconf 5 "tar $taropt $archdir/MesaLib-$mesa_ver.tar.bz2"
--- package/xorg/mkfontdir/mkfontdir.conf       (Revision 15)
+++ package/xorg/mkfontdir/mkfontdir.conf       (Revision 16)
@@ -1 +1,9 @@
 . "$base/package/xorg/xorg_config.sh"
+
+mkfontdir_postmake()
+{
+       echo "Installing mkfontdir postinstall Script ..."
+       cp -fv $confdir/x11-20-mkfontdir-postinstall.sh $root/etc/postinstall/
+}
+
+hook_add postmake 7 "mkfontdir_postmake"
--- package/xorg/mkfontdir/x11-20-mkfontdir-postinstall.sh      (Revision 0)
+++ package/xorg/mkfontdir/x11-20-mkfontdir-postinstall.sh      (Revision 16)
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# mkfontscale has to be run before mkfontdir.
+
+print_status=1
+if any_touched '/usr/X11R7/lib/X11/fonts/' ; then
+       for dir in /usr/X11R7/lib/X11/fonts/* ; do
+               [ -d $dir ] || continue
+               [ $print_status = 1 ] && \
+                       { echo "Running mkfontdir ..." ; print_status=0 ; }
+               echo -n "$dir "
+               mkfontdir $dir
+       done
+       [ $print_status = 0 ] && echo
+fi
+unset dir print_status
--- package/xorg/mkfontscale/mkfontscale.conf   (Revision 15)
+++ package/xorg/mkfontscale/mkfontscale.conf   (Revision 16)
@@ -1 +1,9 @@
 . "$base/package/xorg/xorg_config.sh"
+
+mkfontscale_postmake()
+{
+       echo "Installing mkfontscale postinstall Script ..."
+       cp -fv $confdir/x11-10-mkfontscale-postinstall.sh $root/etc/postinstall/
+}
+
+hook_add postmake 7 "mkfontscale_postmake"
--- package/xorg/mkfontscale/x11-10-mkfontscale-postinstall.sh  (Revision 0)
+++ package/xorg/mkfontscale/x11-10-mkfontscale-postinstall.sh  (Revision 16)
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# mkfontscale has to be run before mkfontdir.
+
+print_status=1
+if any_touched '/usr/X11R7/lib/X11/fonts/' ; then
+       for dir in /usr/X11R7/lib/X11/fonts/* ; do
+               [ -d $dir ] || continue
+               [ $print_status = 1 ] && \
+                       { echo "Running mkfontscale ..." ; print_status=0 ; }
+               echo -n "$dir "
+               mkfontscale $dir
+       done
+       [ $print_status = 0 ] && echo
+fi
+unset dir print_status
--- package/x11/fontconfig/fontconfig.conf      (Revision 15)
+++ package/x11/fontconfig/fontconfig.conf      (Revision 16)
@@ -2,6 +2,9 @@
 {
        echo "Copying default example configs ..."
        cp -fv $confdir/local.conf.data $root/etc/fonts/local.conf
+
+       echo "Installing fontconfig postinstall Script ..."
+       cp -fv $confdir/x11-30-fontconfig-postinstall.sh $root/etc/postinstall/
 }
 
 hook_add postmake 5 fontconfig_postmake
--- package/x11/fontconfig/x11-30-fontconfig-postinstall.sh     (Revision 0)
+++ package/x11/fontconfig/x11-30-fontconfig-postinstall.sh     (Revision 16)
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+if [ "`which fc-cache`" ] ; then
+       echo "Running fc-cache ..."
+       fc-cache -v
+fi

[Download this patch]